Subject: bug#15577: 24.3; dir-local variables not applied when switching major-mode

From: Phil Sainty <[email-masked]>
Date: Mon, 21 Oct 2013 02:38:59 +1300

I've been experimenting with this today (along the lines of
http://lists.gnu.org/archive/html/bug-gnu-emacs/2013-10/msg00534.html )
and one of the things I noticed which I'd not previously considered
was the major mode switches which happen every time you enter the
minibuffer.

I expect that we should make an exception for those mode changes, as
(a) that is going to be a far more frequent occurrence -- and for
people who enable local variable processing for tramp buffers, probably
annoyingly expensive to boot -- but more importantly (b) there surely
aren't any actual use-cases for dir/file locals in the minibuffer?

Does that sound sensible?

-Phil